curl -X PUT https://api.portkey.ai/v1/secret-references/SECRET_REFERENCE_ID \
-H "x-portkey-api-key: PORTKEY_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "updated-secret-name",
"secret_path": "prod/api-keys/updated"
}'{}Update Secret Reference
PUT
/
secret-references
/
{secretReferenceId}
curl -X PUT https://api.portkey.ai/v1/secret-references/SECRET_REFERENCE_ID \
-H "x-portkey-api-key: PORTKEY_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "updated-secret-name",
"secret_path": "prod/api-keys/updated"
}'{}Portkey is now PRISMA AIRS AI Gateway. See it in action.
Contact Us
Body
application/json
Response
Successful response
The response is of type object.
Last modified on August 6, 2026
Was this page helpful?

